# -*- coding: utf-8 -*-
##############################################################################
from openerp import tools, api
from openerp import api, fields, models, _

class PickingTotalSaleQty(models.Model):
    _inherit = 'sale.order'

    tot_sale_qty = fields.Float(compute='_calculate_sale_qty', string='Total Cantidad Vendido', help="Total cantidad vendido")

    def _calculate_sale_qty(self):
        for rs in self:
            sumqty = 0
            for line in rs.order_line:
                sumqty += line.product_uom_qty
        rs.tot_sale_qty = sumqty
